# Return email accounts

This function lists the cPanel account's email accounts.

Important:

  When you disable the Receive Mail role, the system disables this function.

Endpoint: GET /Email/list_pops
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `no_validate` (integer)
    Whether to skip the email database's validation check.
* 1 — Skip the validation check.
* 0 — Run the validation check.
    Enum: 0, 1

  - `regex` (string)
    A Perl Compatible Regular Expression (PCRE) that filters the results.
    Example: "user"

  - `skip_main` (integer)
    Whether to exclude the cPanel account's main account from the results.
* 1 — Exclude the main account.
* 0 — Include the main account.
    Enum: 0, 1

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_pops"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (array)
    An object of data for an email address on the cPanel account.

  - `result.data.email` (any)
    An email address.
* A valid email address on the cPanel account.
* The cPanel account username, for the main account.
    Example: "user@example.com"

  - `result.data.login` (any)
    The email account login.
* A valid email address on the cPanel account.
* Main Account, for the main account.
    Example: "user@example.com"

  - `result.data.suspended_incoming` (integer)
    Whether incoming email for the email account is suspended.
* 1 - Suspended.
* 0 - Not suspended.
    Enum: 0, 1

  - `result.data.suspended_login` (integer)
    Whether logins for the email account are suspended.
* 1 - Suspended.
* 0 - Not suspended.
    Enum: 0, 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


